#include <QCoreApplication>
#include <QDate>
#include <QLibraryInfo>

#include <QDebug>
#include <QSysInfo>

#include <algorithm>
#include <iostream>

int main(int argc, char *argv[])
{
    QStringList args;
    std::copy(argv + 1, argv + argc, std::back_inserter(args));

    QCoreApplication app(argc, argv);

    qDebug().noquote() << QLibraryInfo::build();

    // Code from Construction of QDateTimeEdit
    QDateTime dt = QDate(1752, 9, 14).startOfDay(Qt::LocalTime);
    qDebug().noquote() << dt;

    return 0;
}
